package controllers

import (
	"github.com/astaxie/beego"

	"git.kingpenguin.tk/chteufleur/datahouse.git/models/soilMoisture"
)

type AddSoilMoistController struct {
	beego.Controller
}

func (c *AddSoilMoistController) Get() {
	macArduino := c.GetString(soilMoisture.MacModuleWifiArduino)
	pinArduino := c.GetString(soilMoisture.PinArduino)
	valeurCapteur, _ := c.GetInt(soilMoisture.ValeurCapteur)

	soilMoisture.AddData(pinArduino, macArduino, int64(valeurCapteur))

	cpt := soilMoisture.GetCapteurByAdresse(macArduino, pinArduino)
	if cpt == nil || cpt.Id == 0 {
		soilMoisture.AddCapteur(macArduino, pinArduino)
	}
	c.Ctx.Output.Body([]byte(""))
}
